classification
Title: Setuptools included with 64-bit Windows installer is outdated
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: James.Paget, dstufft, larry, ned.deily, paul.moore, steve.dower
Priority: normal Keywords:

Created on 2015-11-23 18:06 by James.Paget, last changed 2016-02-16 16:45 by paul.moore. This issue is now closed.

Messages (3)
msg255208 - (view) Author: James Paget (James.Paget) Date: 2015-11-23 18:06
This applies to Python 3.5.1rc1 only.  The Windows 64-bit standalone installer installs setuptools 18.2, but the latest version is 18.5.  It should be noted that the Python 2.7.11rc1 Windows 64-bit standalone installer installs setuptools 18.5.  Other Python 3.5.1.rc1 installers (web based, or for other platforms) may have this problem as well, but I have not tried them out.
msg260224 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-02-13 03:31
Thanks for the report but, since 3.5.1 has subsequently been released, I don't think there is any reason to keep this open.  The distributions vendored with ensurepip - like pip, setuptools, and their dependencies - will typically become out-of-date after any Python release, since they are all on independent release cycles.  The main function of ensurepip is to ensure that you have a known working environment to install distributions from PyPI and elsewhere, including updates to pip and setuptools themselves.  FWIW, the bundled versions of pip and setuptools have already been updated in the 3.5 branch for the next maintenance release of 3.5.
msg260364 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2016-02-16 16:45
Just to clarify, it's intended that you simply "python -m pip install --upgrade pip setuptools" to get the latest version.
History
Date User Action Args
2016-02-16 16:45:46paul.mooresetnosy: + paul.moore
messages: + msg260364
2016-02-13 03:32:00ned.deilysetstatus: open -> closed

type: performance ->

nosy: + ned.deily
messages: + msg260224
resolution: out of date
stage: resolved
2015-11-23 20:44:35r.david.murraysetnosy: + larry, steve.dower, dstufft
2015-11-23 18:06:00James.Pagetcreate